Project

General

Profile

Bug #8430

errors with python3

Added by Ben Loer about 4 years ago. Updated 3 months ago.

Status:
New
Priority:
Low
Assignee:
Category:
-
Target version:
Start date:
04/24/2015
Due date:
% Done:

0%

Estimated time:
First Occurred:
Occurs In:
Stakeholders:
Duration:

Description

In an environment with python pointing to python3, I get the following error:

  File "/grid/fermiapp/products/common/db/../prd/jobsub_client/v1_1_1/NULL/jobsub_submit", line 193
    print "ERROR: Insufficient arguments specified" 
                                                  ^
SyntaxError: Missing parentheses in call to 'print'

At minimum, the script should check the python environment and print a more helpful error message stating that python2 is required. However it should be simple to support both python2+3

History

#1 Updated by Parag Mhashilkar about 4 years ago

  • Assignee set to Dennis Box
  • Priority changed from High to Low
  • Target version set to v1.2

We only support default system python so far. Will add the checks for python versions in future releases.

#2 Updated by Dennis Box over 3 years ago

  • Target version changed from v1.2 to v1.3

#3 Updated by Dennis Box 3 months ago

  • Target version changed from v1.3 to v1.3.2


Also available in: Atom PDF